using System;
using System.Net.Sockets;

namespace vclass.network.server
{
	/// <summary>
	/// Summary description for ClientInfo:
	/// This class holds client data...
	/// </summary>
	public class ClientInfo
	{
		private String remoteAddress;
		private int port;
		private Socket socket;

		public ClientInfo()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public ClientInfo(String addr, int port, Socket sock)
		{
			remoteAddress = addr;
			this.port = port;
			socket = sock;
		}

		public String getAddress(){
			return remoteAddress;
		}

		public int getPort(){
			return port;
		}

		public Socket getSocket(){
			return socket;
		}
	}
}
